Skip to content

Custom Fields

Extend contact and company records with custom data fields. Store any additional information relevant to your workflow.

Limits: Maximum 100 custom fields per object type (lead or company). Field names must start with a letter or underscore, and contain only alphanumeric characters and underscores.

List custom fields

Request

Retrieve all custom field definitions for contacts and companies.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
order_fieldstring

Sort field (default created_at).

Default:"created_at"
Example:order_field=created_at
order_typestring

Sort direction.

Default:"asc"
Enum:"asc""desc"
Example:order_type=asc
GET
/leads/api/custom-fields
curl -i -X GET \
  'https://leadgen.grinfi.io/leads/api/custom-fields?limit=20&offset=0&order_field=created_at&order_type=asc' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of custom fields.

Bodyapplication/json
dataArray of objects(custom-field)
Response
{ "data": [ {} ] }